org.apache.poi.xddf.usermodel

## Class XDDFTileInfoProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFTileInfoProperties

-     @Beta
      public class XDDFTileInfoProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFTileInfoProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTileInfoProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TileFlipMode` | `getFlipMode()`
    `java.lang.Integer` | `getSx()`
    `java.lang.Integer` | `getSy()`
    `java.lang.Long` | `getTx()`
    `java.lang.Long` | `getTy()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTTileInfoProperties` | `getXmlObject()`
    `void` | `setAlignment(RectangleAlignment alignment)`
    `void` | `setFlipMode(TileFlipMode mode)`
    `void` | `setSx(java.lang.Integer value)`
    `void` | `setSy(java.lang.Integer value)`
    `void` | `setTx(java.lang.Long value)`
    `void` | `setTy(java.lang.Long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFTileInfoProperties

          protected XDDFTileInfoProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTileInfoProperties properties)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTTileInfoProperties getXmlObject()

    - #### setAlignment

          public void setAlignment(RectangleAlignment alignment)

    - #### getFlipMode

          public TileFlipMode getFlipMode()

    - #### setFlipMode

          public void setFlipMode(TileFlipMode mode)

    - #### getSx

          public java.lang.Integer getSx()

    - #### setSx

          public void setSx(java.lang.Integer value)

    - #### getSy

          public java.lang.Integer getSy()

    - #### setSy

          public void setSy(java.lang.Integer value)

    - #### getTx

          public java.lang.Long getTx()

    - #### setTx

          public void setTx(java.lang.Long value)

    - #### getTy

          public java.lang.Long getTy()

    - #### setTy

          public void setTy(java.lang.Long value)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.